Bug 9545 - Linking of vfs_notify_fam fails
Linking of vfs_notify_fam fails
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: VFS Modules
4.0.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-07 09:16 UTC by Karolin Seeger
Modified: 2013-04-23 19:05 UTC (History)
2 users (show)

See Also:


Attachments
Patch for v4-0-test (3.57 KB, patch)
2013-04-08 14:36 UTC, Stefan Metzmacher
bjacke: review+
vl: review+
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karolin Seeger 2013-01-07 09:16:47 UTC
[3609/3913] Linking default/source3/modules/libvfs-notify-fam.so
default/source3/modules/vfs_notify_fam_39.o: In function `fam_open_connection':
vfs_notify_fam.c:(.text+0xc4): undefined reference to `FAMOpen2'
vfs_notify_fam.c:(.text+0x1ed): undefined reference to `FAMClose'
default/source3/modules/vfs_notify_fam_39.o: In function `fam_reopen':
vfs_notify_fam.c:(.text+0x274): undefined reference to `FAMClose'
vfs_notify_fam.c:(.text+0x30f): undefined reference to `FAMMonitorDirectory'
default/source3/modules/vfs_notify_fam_39.o: In function `fam_handler':
vfs_notify_fam.c:(.text+0x367): undefined reference to `FAMPending'
vfs_notify_fam.c:(.text+0x3dc): undefined reference to `FAMNextEvent'
default/source3/modules/vfs_notify_fam_39.o: In function `fam_watch_context_destructor':
vfs_notify_fam.c:(.text+0x6d3): undefined reference to `FAMCancelMonitor'
default/source3/modules/vfs_notify_fam_39.o: In function `fam_watch':
vfs_notify_fam.c:(.text+0xa70): undefined reference to `FAMMonitorDirectory'
collect2: ld returned 1 exit status
Waf: Leaving directory `/data/git/samba/master/bin'
Build failed:  -> task failed (err #1): 
        {task: cc_link vfs_notify_fam_39.o -> libvfs-notify-fam.so}                                                                                                            
make: *** [all] Fehler 1
Comment 1 Stefan Metzmacher 2013-04-08 14:36:15 UTC
Created attachment 8735 [details]
Patch for v4-0-test
Comment 2 Karolin Seeger 2013-04-11 07:48:47 UTC
Pushed to autobuild-v4-0-test.
Comment 3 Karolin Seeger 2013-04-11 10:18:36 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!